{-# LANGUAGE NoMonomorphismRestriction #-}
{-# LANGUAGE TemplateHaskell #-}
{-# OPTIONS -fno-warn-missing-signatures #-}

-- | Commands for the IDE API.

module FP.API where

import FP.API.Types
import FP.API.TH

-- General project operations

cmd 'GetInitialProjectInfo
cmd 'GetProjectId

-- Polling

cmd 'GetProjectMessages

-- Module manipulation

cmd 'GetFile
cmd 'GetFileToken
cmd 'SaveFile
cmd 'AddFile
cmd 'DeleteFile

-- Query features

cmd 'GetTypeInfo
cmd 'GetDefinitionSource
cmd 'GetAutocompletions
cmd 'IdeHoogleSearch
